> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Integrations



## OpenAPI

````yaml get /connectors
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /connectors:
    get:
      summary: Get Integrations
      operationId: get_integrations_connectors_get
      parameters:
        - name: include_iris_integrations
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Iris Integrations
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ConnectorsRespModel'
                title: Response Get Integrations Connectors Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConnectorsRespModel:
      properties:
        vendor:
          type: string
          title: Vendor
        category:
          type: string
          title: Category
        auth_type:
          type: string
          title: Auth Type
        logo_url:
          type: string
          title: Logo Url
        docs_url:
          type: string
          title: Docs Url
        credentials_params:
          items:
            anyOf:
              - type: string
              - type: object
          type: array
          title: Credentials Params
        vendor_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Name
        vendor_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Description
        data_export_types:
          items:
            $ref: '#/components/schemas/DataExportTypesEnum'
          type: array
          title: Data Export Types
      type: object
      required:
        - vendor
        - category
        - auth_type
        - logo_url
        - docs_url
        - credentials_params
        - data_export_types
      title: Connectors
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DataExportTypesEnum:
      type: string
      enum:
        - alerts
        - compliances
        - compliance_findings
        - config_users
        - cspm_alerts
        - device_groups
        - device_policies
        - devices
        - idp
        - idp_alerts
        - idp_audit_logs
        - idp_policies
        - issues
        - organization_identities
        - sast_issues
        - sca_issues
        - vms_scan_configs
        - vulnerabilities
        - resources
        - vulnerability_findings_v2
        - grc_entity
        - grc_control
        - grc_evidence
        - grc_assessment_question
        - grc_assessment
        - tprm_company
        - tprm_finding
        - findings
        - itsm_users
        - itsm_groups
        - itsm_projects
        - itsm_tickets
        - itsm_attachments
        - itsm_comments
      title: DataExportTypesEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````